<?php

/**
 * Description of AclModel
 *
 * @author Mářa
 */
use \Nette\Security\Permission;

class AclModel {
    /*     * @var Nette\Security\Permission */

    private $acl = null;

    public function __construct() {
        $this->acl = new Permission();

        $this->acl->addRole('guest');
        $this->acl->addRole('member', 'guest');
        $this->acl->addRole('admin', 'member');

        $this->acl->addResource('error');
        $this->acl->addResource('homepage');
        $this->acl->addResource('info');
        $this->acl->addResource('login');
        $this->acl->addResource('order');
        $this->acl->addResource('sign');
        $this->acl->addResource('admin');
        $this->acl->addResource('eciovni');
        $this->acl->addResource('paypal');
        $this->acl->addResource('livestream');

        $this->acl->allow('guest', Permission::ALL);
        $this->acl->deny('guest', 'info', 'profile');
        $this->acl->deny('guest', 'info', 'editprofile');
        $this->acl->deny('guest', 'order');
        $this->acl->deny('guest', 'admin');
        $this->acl->deny('guest', 'eciovni');
        $this->acl->deny('guest', 'paypal');
        $this->acl->deny('guest', 'livestream');

        $this->acl->allow('member', Permission::ALL);
        $this->acl->deny('member', 'admin', 'editService');
        $this->acl->deny('member', 'admin', 'editPrices');
        $this->acl->deny('member', 'admin', 'viewOrders');

        $this->acl->allow('admin', Permission::ALL);
    }

    public function isAllowed($role, $presenter, $action) {
        return $this->acl->isAllowed($role, $presenter, $action);
    }

}
