<?php

namespace App\Model;

use Nette;

class DatabazeModel extends Nette\Object {
    /*     * @var \Nette\Database\Connection */

    private $db = null;

    public function __construct($db) {
        $this->db = $db;
    }
    
    /** Vrátí názvy a id všech zemí 
     * @return array of objects
     */
    public function getCountries() {
        $stmt = $this->db->query("SELECT country_id, country_name FROM countries");
        return $stmt->fetchAll();
    }

    /** Vrátí všechny základní údaje o uživateli
     * @param int $id ID uživatele
     * @return object
     */
    public function getUsers($id) {
        $stmt = $this->db->query("SELECT * FROM users "
                . " JOIN addresses USING(address_id) "               
                . " WHERE user_id = ? ", $id);
        return $stmt->fetch();
    }
   

    /** Nastavení údajů o uživateli 
     * @param array $values 
     * @param int $id ID uživatele 
     */
    public function setUsers($values, $id) {
        try {           
            $this->db->beginTransaction();
            $stmt = $this->db->query("select * from countries where country_id = ?", $values['country'] +1);
            $country = $stmt->fetch();
            
            $stmt = $this->db->query("select address_id from users where user_id = ?", $id);
            $address = $stmt->fetch();
             
            $stmt = $this->db->query("UPDATE addresses SET street = ?, city = ?, "
                    . "zip = ?, country_id = ? WHERE address_id = ? ", 
                    $values['street'], $values['city'], 
                    $values['zip'], $country['country_id'], $address);

            $stmt = $this->db->query("SELECT address_id FROM addresses");
            $addr = $stmt->fetch();

            $stmt = $this->db->query("UPDATE users SET name = ?, surname = ?, "
                    . "password = ?, email = ?, company_name = ?, address_id = ?, vat_id = ? "
                    . " WHERE user_id = ? ", 
                    $values['name'], $values['surname'], sha1($values['password']),
                    $values['email'], $values['company_name'], $addr['address_id'], $values['vat_id'], $id);
            $this->db->commit(); 
        } catch (Nette\Neon\Exception $e) {
            $this->db->rollBack();
            return false;
        }
    }

}
