<?php

namespace App\Model;

use Nette;

/**
 * Description of Registration
 *
 * @author Mářa
 */
class RegistrationModel {

    private $db = null;

    public function __construct($db) {
        $this->db = $db;
    }

     /** Vrací všechny země
     * @return array of objects
     */
    public function getCountries() {
        $stmt = $this->db->query("SELECT country_id, country_name FROM countries");
        return $stmt->fetchAll();
    }
    
     /** Vrací údaje o uživateli  
     * @param int $id ID uživatele
     * @return object
     */
     public function getUsers($id) {
        $stmt = $this->db->query("SELECT * FROM users "
                . "JOIN addresses USING(address_id) "               
                . "WHERE user_id = ", $id);
        return $stmt->fetch();
    }
    
    
    /** Aktualizace hesla 
     * @param string $password Heslo uživatele
     * @param string $email Emailová adresa uživatele, na kterou se zašle nové heslo.
     */
    public function updateNewPassword($password, $email) {
        $this->db->query("UPDATE users SET password = ? "
                . "WHERE email = ?", sha1($password), $email);
    }

    /** Přidání uživatele do systému
     * @param object $values Objekt hodnot o uživateli, adrese a zemi
     */
    public function addUser($values) {
        try {
            $this->db->beginTransaction();
            
            $stmt = $this->db->query("select * from countries "
                    . "where country_id = ?", $values['country'] + 1);          
            $country = $stmt->fetch();                    

            $stmt = $this->db->query("INSERT INTO addresses(street, city, zip, country_id) "
                    . "VALUES (?,?,?,?)", $values['street'], $values['city'], 
                    $values['zip'], $country['country_id']);

            $stmt = $this->db->query("SELECT address_id FROM addresses WHERE address_id=(
                                  SELECT max(address_id) FROM addresses)");
            $addr = $stmt->fetch();

            $stmt = $this->db->query("INSERT INTO users(name, surname, email, "
                    . "password, company_name, address_id, vat_id,role) "
                    . "VALUES (?,?,?,?,?,?,?,?)", $values['name'], $values['surname'], 
                    $values['email'], sha1($values['password']), $values['company_name'],
                    $addr['address_id'], $values['vat_id'], "member");
            
            $this->db->commit(); 
            
        } catch (Nette\Neon\Exception $e) {
            $this->db->rollBack();
            return false;
        }
    }

}
