<?php

namespace App\Presenters;

use Nette;
use App\Model;

/**
 * Base presenter for all application presenters.
 */
abstract class BasePresenter extends Nette\Application\UI\Presenter {

use \Kdyby\Autowired\AutowireComponentFactories;
    /** @var Nette\Security\Permission */
    private $acl = null;

    public function startup() {
        parent::startup();
        if (!$this->getUser()->isLoggedIn()) {
            $this->acl = new \AclModel();
            $roles = $this->getUser()->getRoles();
            $role = array_shift($roles);
            $this->template->loggedUser = $this->getUser()->getIdentity();
            if (!$this->acl->isAllowed($role, strtolower($this->name), $this->action)) {
                $this->redirect('Homepage:default');
            }
        }
    }

}
