<?php

namespace App\Presenters;

use Nette,
    Nette\Utils\DateTime,
    App\Model;

/**
 * Description of EciovniPresenter
 *
 * @author Mářa
 */
class EciovniPresenter extends BasePresenter {

    private $model = null;
    private $user = null;
    private $address = null;
    private $id = null;

    private function getModel() {
        if (!isset($this->model)) {
            $this->model = new Model\EciovniModel($this->context->getService("database"));
        }
        return $this->model;
    }

    private function getAddress() {
        if (!isset($this->address)) {
            $this->address = $this->getModel()->getAddress($this->getUser()->getIdentity()->data['address_id']);
        }
        return $this->address;
    }

    public function setOrderId($id) {
        $this->id = $id;
    }

    public function getOrderId() {
        return $this->id;
    }

    public function renderDefault() {
        $this->template->anyVariable = 'any value';
    }

    public function actionGenerate($id) {
        $template = $this->createTemplate();

        $template->setFile(dirname(__DIR__) . '/presenters/templates/Eciovni/generate.latte');


        $template->user = $this->getUser()->getIdentity()->data;
        $template->address = $this->getAddress();

        $order = $this->getModel()->getOrder($id);
        $template->order = $order;

        $template->services = $this->getModel()->getServices($id);

        $instrument = $this->getModel()->getInstruments($id);
        $template->instruments = $instrument;


        foreach ($instrument as $ins => $i) {
            $instrument[$ins]['subtotal'] = $i['counts'] * $i['profit'];
        }

        $template->ord = round($order['total_price'] /100 * 21);

        $pdf = new \Joseki\Application\Responses\PdfResponse($template);
        $pdf->setSaveMode(\Joseki\Application\Responses\PdfResponse::INLINE); //default behavior
        $this->sendResponse($pdf);
    }

}
