<?php

/**
 * Description of PayPalPresenter
 *
 * @author Mářa
 */

namespace App\Presenters;

use Nette,
    Nette\Application\UI,
    App\Model;

use MetisFW\PayPal\Payment\SimplePaymentOperationFactory;
use MetisFW\PayPal\UI\PaymentControl;
use PayPal\Api\Payment;

class PayPalPresenter extends BasePresenter {

    private $model = null;
    private $id = null;
    
    private function getModel() {
        if (!isset($this->model)) {
            $this->model = new Model\EciovniModel($this->context->getService("database"));
        }
        return $this->model;
    }
    
    public function getOrderId() {
        return $this->id;
    }
    
    public function actionPay($id){
        $this->id = $id;  
    }
    
    public function createComponentPayPalPaymentButton(SimplePaymentOperationFactory $factory) {
        $price = $this->getModel()->getOrder($this->getOrderId());
        $operation = $factory->create('Orchestration', $price['total_price']);
        $control = new PaymentControl($operation);

        //set different template if u want to use own
        //$control->setTemplateFilePath(__DIR__ . './myPayPalButton.latte');

        //called before redirect to paypal after first api call, which create payment
        $control->onCheckout[] = function(PaymentControl $control, Payment $created) {
            //something
        };

        //called after successfully completed payment proccess
        $control->onSuccess[] = function(PaymentControl $control, Payment $paid) {
            //something
        };

        //called when user cancelled payment process
        $control->onCancel[] = function(PaymentControl $control) {
            //something
        };

        return $control;
    }
    
    

}
